package com.jh.radegast.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.jh.common.jpa.AbstractIdEntity;

@Entity
@Table(name = "RATING")
public class Rating extends AbstractIdEntity {

	@Column(name = "DEVICE_ID")
	private String deviceId;
	
	@Column(name = "CREATED")
	private Date created;
	
	@Column(name = "RATING")
	private Integer rating;
	
	@Column(name = "KEY")
	private String key;
	
	@Transient
	private Section section;
	
	public Rating() {
	}

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public Date getCreated() {
		return created;
	}

	public void setCreated(Date created) {
		this.created = created;
	}

	public Integer getRating() {
		return rating;
	}

	public void setRating(Integer rating) {
		this.rating = rating;
	}

	public Section getSection() {
		return section;
	}

	public void setSection(Section section) {
		this.section = section;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

}
